/* Fonts */

:root {
    --default-font: "Open Sans", sans-serif;
    --heading-font: "Montserrat", sans-serif;
    --nav-font: "Open Sans", sans-serif;
}

/* Colors */
:root { 
    --white-color: #ffffff;
    --gray-text: #444;
    --nav-color: #000000;
    --nav-hover-color: #d50;
    --orange-text: #d50;
    --orange-dark-text: #a30;
    --surface-color: #292929;
    --bg-orange: #d50;
    --heading-color: #d50;
    --accent-color: #d50;
    --opacity-after-load: 0;


    
    
    

    
    
    --background-color: #292929;
    --default-color: rgba(0, 0, 0, 0.7);
    --contrast-color: #000000;
}

.btn-primary {
    --bs-btn-color: #fff;
    --bs-btn-bg: #d50;
    --bs-btn-border-color: #d50;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #a30;
    --bs-btn-hover-border-color: #a30;
    --bs-btn-focus-shadow-rgb: 49, 132, 253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #a30;
    --bs-btn-active-border-color: #a30;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #a63;
    --bs-btn-disabled-border-color: #a63;
}

/* Smooth scroll */

:root {
    scroll-behavior: smooth;
}


/*--------------------------------------------------------------
# Global Header
--------------------------------------------------------------*/

.header {
    --background-color: rgba(255, 255, 255, 0.6);
    color: var(--default-color);
    transition: all 0.5s;
    z-index: 997;
}

.header .topbar {
    height: max-content;
    font-size: 14px;
    transition: all 0.5s;
}

.header .topbar .contact-info i {
    font-style: normal;
    color: var(--accent-color);
}

.header .topbar .contact-info i a,
.header .topbar .contact-info i span {
    padding-left: 5px;
    color: var(--default-color);
}

@media (max-width: 575px) {

    .header .topbar .contact-info i a,
    .header .topbar .contact-info i span {
        font-size: 13px;
    }
}

.header .topbar .contact-info i a {
    line-height: 0;
    transition: 0.3s;
}

.header .topbar .contact-info i a:hover {
    color: var(--accent-color);
    text-decoration: underline;
}

.header .branding {
    background-color: transparent;
    min-height: 60px;
    padding: 10px 0;
    transition: 0.3s;
    border-bottom: 1px solid transparent;
}

.header .logo {
    line-height: 1;
}

.header .logo img {
    max-height: 60px;
    margin-right: 8px;
    transition: all .3s ease;
}

.header .logo h1 {
    font-size: 30px;
    margin: 0;
    font-weight: 700;
    color: var(--heading-color);
}

.scrolled .header .topbar {
    height: 0;
    visibility: hidden;
    overflow: hidden;
}

.scrolled .header .logo img {
    max-height: 50px;
    margin-right: 8px;
}

/* Global Header on Scroll
------------------------------*/
.scrolled .header {
    background-color: var(--white-color);
    border-bottom: 1px solid color-mix(in srgb, var(--surface-color), transparent 90%);
}

/*--------------------------------------------------------------
# Navigation Menu
--------------------------------------------------------------*/
/* Navmenu - Desktop */

@media( min-width: 1200px ){
    .navmenu {
        padding: 0;
    }

    .navmenu ul {
        margin: 0;
        padding: 0;
        display: flex;
        list-style: none;
        align-items: center;
        justify-content: center;
        flex-grow: 1;
    }

    .navmenu li {
        position: relative;
    }

    .navmenu a,
    .navmenu a:focus {
        color: var(--nav-color);
        padding: 18px 20px;
        font-size: 20px;
        font-family: var(--nav-font);
        font-weight: 300;
        display: flex;
        align-items: center;
        justify-content: space-between;
        white-space: nowrap;
        transition: 0.3s;
        text-transform: uppercase;
        text-decoration: none;
    }

    .navmenu li:last-child a {
        padding-right: 0;
    }

    .navmenu li:hover > a,
    .navmenu .active,
    .navmenu .active:focus {
        color: var(--nav-hover-color);
    }

}

/* Navmenu - Mobile */
@media (max-width: 1199px) {
    .mobile-nav-toggle {
        color: var(--nav-color);
        font-size: 28px;
        line-height: 0;
        margin-right: 10px;
        cursor: pointer;
        transition: color 0.3s;
    }

    .navmenu {
        padding: 0;
        z-index: 9997;
    }

    .navmenu ul {
        display: none;
        list-style: none;
        position: absolute;
        inset: 60px 20px 20px 20px;
        padding: 10px 0;
        margin: 0;
        border-radius: 6px;
        background-color: var(--nav-mobile-background-color);
        border: 1px solid color-mix(in srgb, var(--default-color), transparent 90%);
        overflow-y: auto;
        transition: 0.3s;
        z-index: 9998;
    }

    .navmenu a,
    .navmenu a:focus {
        color: var(--nav-dropdown-color);
        padding: 10px 20px;
        font-family: var(--nav-font);
        font-size: 17px;
        font-weight: 500;
        display: flex;
        align-items: center;
        justify-content: space-between;
        white-space: nowrap;
        transition: 0.3s;
    }

    .navmenu a i,
    .navmenu a:focus i {
        font-size: 12px;
        line-height: 0;
        margin-left: 5px;
        width: 30px;
        height: 30px;
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: 50%;
        transition: 0.3s;
        background-color: color-mix(in srgb, var(--accent-color), transparent 90%);
    }

    .navmenu a i:hover,
    .navmenu a:focus i:hover {
        background-color: var(--accent-color);
        color: var(--contrast-color);
    }

    .navmenu a:hover,
    .navmenu .active,
    .navmenu .active:focus {
        color: var(--nav-dropdown-hover-color);
    }

    .navmenu .active i,
    .navmenu .active:focus i {
        background-color: var(--accent-color);
        color: var(--contrast-color);
        transform: rotate(180deg);
    }

    .navmenu .dropdown ul {
        position: static;
        display: none;
        z-index: 99;
        padding: 10px 0;
        margin: 10px 20px;
        background-color: var(--nav-dropdown-background-color);
        border: 1px solid color-mix(in srgb, var(--default-color), transparent 90%);
        box-shadow: none;
        transition: all 0.3s ease;
    }

    .navmenu .dropdown ul ul {
        background-color: rgba(33, 37, 41, 0.1);
    }

    .navmenu .dropdown>.dropdown-active {
        display: block;
        background-color: rgba(33, 37, 41, 0.03);
    }

    .mobile-nav-active {
        overflow: hidden;
    }

    .mobile-nav-active .mobile-nav-toggle {
        color: #fff;
        position: absolute;
        font-size: 32px;
        top: 15px;
        right: 15px;
        margin-right: 0;
        z-index: 9999;
    }

    .mobile-nav-active .navmenu {
        position: fixed;
        overflow: hidden;
        inset: 0;
        background: rgba(33, 37, 41, 0.8);
        transition: 0.3s;
    }

    .mobile-nav-active .navmenu>ul {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        border: none;
        background: rgba(0, 0, 0, 0.7);
        border-radius: 0;
    }

    .mobile-nav-active .navmenu>ul>li>a {
        color: #fff;
        text-transform: uppercase;
        line-height: 2em;
    }
}

.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6 {
    font-family: var(--heading-font);
}

p.x2 {
    font-size: 1.2em;
}

p.x3 {
    font-size: 1.5em;
}

a {
    color: var(--orange-dark-text);
}